Page MenuHomePhabricator

Minor improvements of help in toolbar
Closed, ResolvedPublic

Description

There are some suggestions on de-wikipedia to improve the help in the toolbar:

  • Links: Explain the easy thing first, so exchange the two lines explaining internal links.
  • Headings: Newbies shouldn't create 1st level headings, so don't explain them how to do it.
  • References: Explain how to use the normal ref-tag without the name-parameter first. Perhaps the name-parameter shouldn't be explained at all in this quick help.
  • Discussion: It could be confusing that the signature button inserts --~~~~, while the help says ~~~~, so it is suggested to include the two dashes in the help as well. The mediawiki standard doesn't include a link to the user's discussion page iirc, so the help shouldn't either. Projects where this is changed can adapt the help locally.

Version: unspecified
Severity: enhancement

Details

Reference
bz24128

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:04 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz24128.
Schnark created this task.Jun 26 2010, 9:28 AM

(In reply to comment #0)

  • Headings: Newbies shouldn't create 1st level headings, so don't explain them

how to do it.

Fixed by Adamin r69559.

Adam, wanna look at the rest as well?

*Mass-change: Move WikiEditor bugs to component and remove blocker bug where*

(In reply to comment #0)

The mediawiki standard doesn't include a link to the user's
discussion page iirc,

I think this is no longer true.

Jdforrester-WMF removed TrevorParscal as the assignee of this task.Mar 19 2015, 11:26 PM

Change 225849 had a related patch set uploaded (by Gerrit Patch Uploader):
WikiEditor: Improve help section

https://gerrit.wikimedia.org/r/225849

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 7:42 AM

Change 225849 merged by jenkins-bot:
WikiEditor: Improve help section

https://gerrit.wikimedia.org/r/225849

Schnark closed this task as Resolved.Jul 22 2015, 7:32 AM
Schnark claimed this task.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:43 AM